Page MenuHomePhabricator

Investigate which browsers support serviceworker and how they relate to our traffic in the target countries
Closed, ResolvedPublicSpike

Description

Serviceworkers are not supported in all browsers or on all devices. Investigate what proportion of our traffic from the target countries is on browsers that support this.

Event Timeline

atgo created this task.Oct 17 2016, 9:35 AM

From https://jakearchibald.github.io/isserviceworkerready/ I see Chrome 40+, Firefox 44+, Opera 27+, Samsung Browser 4+, and Edge is in development.

That data should be correlated with something like the browser/os usage dashboard from analytics, but filtered by country. The dashboard doesn't show any way to filter by country/area so we may need to ping analytics for this cc/ @atgo

atgo moved this task from Backlog to Doing on the New-Readers board.Oct 17 2016, 3:26 PM
atgo moved this task from Doing to Blocked on the New-Readers board.Oct 27 2016, 12:36 AM

I'm going to be out soon. @GWicke and @Jdlrobson had more information about this I believe.

The interesting part would be how to correlate that info with per-country/wiki analytics instead of using the global ones.

We may need help from Analytics

GWicke added a comment.EditedOct 31 2016, 9:01 PM

Here is a list of compatible UAs on mobile platforms:

Android

Supported

  • Chrome
  • Android browser v53 (latest)
  • Opera
  • Firefox
  • Samsung Internet

Not supported

  • Opera mini
  • UC browser for Android

IOS

None supported (all based on Safari)

See also http://caniuse.com/#feat=serviceworkers for the general support status.

As @Jhernandez said, we'll probably need help from analytics to correlate this with browser market share per country.

atgo moved this task from Blocked to Doing on the New-Readers board.Nov 2 2016, 5:18 PM

We measured this a while back in November 2015 and it was 30% on our entire traffic.
https://phabricator.wikimedia.org/T118041#1835201
We no longer have that data anymore to run geographical analysis.
I suspect now it is around 50% of all our traffic given the adoption by Firefox and upgrades on Chrome.

That said, the browser share is only going to increase, service workers will degrade gracefully (so experiences will never be broken) and where support is lacking it can be detected and resolved socially by encouraging the download of browsers where it is not available. e.g. Hey there! Want to be able to take this content offline?

What is the goal of knowing this number? It's not clear from this task, but it's never going to be 100%. Locations where UC browser and Opera Mini will be less supported.

Thanks @Jdlrobson @GWicke

More for information as we're considering rollout/prioritization. Trying to get a complete picture... Deprioritizing for now and removing as blocker for prototype testing.

atgo triaged this task as Low priority.Nov 7 2016, 7:38 PM
atgo moved this task from Doing to Backlog on the New-Readers board.Mar 23 2018, 5:42 PM
Jhernandez removed a subscriber: Jhernandez.Apr 2 2020, 6:46 PM
Restricted Application changed the subtype of this task from "Task" to "Spike". · View Herald TranscriptApr 2 2020, 6:46 PM
AMuigai edited projects, added Inuka-Team; removed New-Readers.May 5 2020, 6:14 PM
AMuigai moved this task from Backlog to ideas on the Inuka-Team board.May 11 2020, 1:02 PM
AMuigai closed this task as Resolved.May 14 2020, 9:42 PM
AMuigai claimed this task.
AMuigai added a subscriber: AMuigai.

There are tools that allow PMs to query this data now.